Bug 20444 - Themes try to use files in /home/raster
Themes try to use files in /home/raster
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gtk-engines (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-06 18:27 EST by Trond Eivind Glomsrxd
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 10:40:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2000-11-06 18:27:40 EST
Some themes try to access files in /home/raster:

[teg@halden themes]$ find -type f |xargs grep /home/raster
./BeCool/gtk/gtkrc:#module_path ".:/home/raster/themes"
./Gradient/gtk/gtkrc:#module_path ".:/home/raster/themes"
./Notif/gtk/gtkrc:#module_path ".:/home/raster/themes"
./Notif/gtk/gtkrc:pixmap_path ".:/home/raster/themes"
./Pixmap/gtk/gtkrc:#module_path ".:/home/raster/themes"
./Redmond95/gtk/gtkrc:#module_path ".:/home/raster/themes"
./Redmond95/gtk/gtkrc:pixmap_path ".:/home/raster/themes"
[teg@halden themes]$

I discovered this when my computer tried mounting that directory...
Nalin, being the paranoid security guy he is, wonders if this means someone
owning that directory could explot this securitywise...
Comment 1 Owen Taylor 2001-01-17 14:33:37 EST
Fixed in gtk-engines-0.10-11.

I don't believe there is a real security issue:

 a) The attacker would have to own /home/raster, which probably means
    they are root.

 b) There would have to be an exploitable buffer overflow in libjpeg
    or libpng, which would be a bigger problem for other reasons.
    (like email attachments)

Note You need to log in before you can comment on or make changes to this bug.